Package com.databricks.jdbc.client.impl.thrift.generated

## Class TCLIServiceConstants

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.generated.TCLIServiceConstants

    public class TCLIServiceConstants
    extends Object

### Field Summary

Fields
`static String` `CHARACTER_MAXIMUM_LENGTH`
`static Set<TTypeId>` `COLLECTION_TYPES`
`static Set<TTypeId>` `COMPLEX_TYPES`
`static String` `PRECISION`
`static Set<TTypeId>` `PRIMITIVE_TYPES`
`static String` `SCALE`
`static Map<TTypeId,​String>` `TYPE_NAMES`

### Constructor Summary

Constructors
`TCLIServiceConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PRIMITIVE_TYPES

    public static final Set<TTypeId> PRIMITIVE_TYPES

#### COMPLEX_TYPES

    public static final Set<TTypeId> COMPLEX_TYPES

#### COLLECTION_TYPES

    public static final Set<TTypeId> COLLECTION_TYPES

#### TYPE_NAMES

    public static final Map<TTypeId,​String> TYPE_NAMES

#### CHARACTER_MAXIMUM_LENGTH

    public static final String CHARACTER_MAXIMUM_LENGTH

See Also:
  Constant Field Values

#### PRECISION

    public static final String PRECISION

See Also:
  Constant Field Values

#### SCALE

    public static final String SCALE

See Also:
  Constant Field Values

### Constructor Detail

#### TCLIServiceConstants

    public TCLIServiceConstants()